### Method

# Gtk Assistantinsert_page

deprecated: 4.10

#### Declaration [src]

    int
    gtk_assistant_insert_page (
      GtkAssistant* assistant,
      GtkWidget* page,
      int position
    )

#### Description [src]

Inserts a page in the `assistant` at a given position.

Deprecated since: 4.10

This widget will be removed in GTK 5

#### Parameters

`page`

  Type: `GtkWidget`

  A `GtkWidget`

  The data is owned by the caller of the method.

`position`

  Type: `int`

  The index (starting at 0) at which to insert the page, or -1 to append the page to the `assistant`.

#### Return value

Type: `int`

The index (starting from 0) of the inserted page.